package com.casic.missiles.modular.system.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

@TableName("base_alarm_content_type")
public class AlarmContentType extends Model<AlarmContentType> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private Integer id;
    /**
     * 告警内容类别
     */
    @TableField("ALARM_CONTENT")
    private String alarmContent;
    /**
     * 告警类别
     */
    @TableField("ALARM_TYPE")
    private Integer alarmType;
    /**
     * 设备类型ID
     */
    @TableField("DEVICE_TYPE")
    private Integer deviceType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAlarmContent() {
        return alarmContent;
    }

    public void setAlarmContent(String alarmContent) {
        this.alarmContent = alarmContent;
    }

    public Integer getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(Integer alarmType) {
        this.alarmType = alarmType;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    @Override
    public String toString() {
        return "AlarmContentType{" +
                "id=" + id +
                ", alarmContent='" + alarmContent + '\'' +
                ", alarmType=" + alarmType +
                ", deviceType=" + deviceType +
                '}';
    }
}
